
Foreman - Bug #11863

Rewrite except_hidden user scope for Rails 4 compatibility

09/17/2015 08:14 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2734

  

Description

As it is written right now it needs a `.references(:users)` at the end in order to work. We can rewrite the query to be compatible with

Rails 4 and Rails 3 at the same time.

Associated revisions

Revision 638cb73b - 09/24/2015 03:16 AM - Daniel Lobato Garcia

Fixes #11863 - Rewrite except_hidden user scope for Rails 4 compatibility

As it is written right now it needs a `.references(:users)` at the end

in order to work. We can rewrite the query to be compatible with Rails 4

and Rails 3 at the same time.

History

#1 - 09/17/2015 08:15 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2734 added

- Pull request deleted ()

#2 - 09/24/2015 03:16 AM - Dominic Cleal

- Category set to Rails

- Assignee set to Daniel Lobato Garcia

- translation missing: en.field_release set to 63

#3 - 09/24/2015 04:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 638cb73b82ea37e29ad8f6771c1e05d651be97a1.
